marginals {bnstruct} | R Documentation

## compute the list of inferred marginals of a BN.

### Description

Given an `InferenceEngine`, it returns a list containing the marginals for the variables in the network, according to the propagated beliefs.

### Usage

    marginals(x, ...)

    ## S4 method for signature 'InferenceEngine'
    marginals(x, ...)

### Arguments

`x` | an `InferenceEngine`
`...` | potential further arguments of methods.

### Value

a list containing the marginals of each variable, as probability tables.

### Examples

    ## Not run:
    eng <- InferenceEngine(net)
    marginals(eng)

    ## End(Not run)

[Package bnstruct version 1.0.6 Index]